ODFPY: odf.text Namespace Reference

ODFPY 1.2.0 |

All Classes Namespaces Files Functions Variables
Functions
odf.text Namespace Reference

## Functions
def | A
def | AlphabeticalIndex
def | AlphabeticalIndexAutoMarkFile
def | AlphabeticalIndexEntryTemplate
def | AlphabeticalIndexMark
def | AlphabeticalIndexMarkEnd
def | AlphabeticalIndexMarkStart
def | AlphabeticalIndexSource
def | AuthorInitials
def | AuthorName
def | Bibliography
def | BibliographyConfiguration
def | BibliographyEntryTemplate
def | BibliographyMark
def | BibliographySource
def | Bookmark
def | BookmarkEnd
def | BookmarkRef
def | BookmarkStart
def | Change
def | ChangeEnd
def | ChangeStart
def | ChangedRegion
def | Chapter
def | CharacterCount
def | ConditionalText
def | CreationDate
def | CreationTime
def | Creator
def | DatabaseDisplay
def | DatabaseName
def | DatabaseNext
def | DatabaseRowNumber
def | DatabaseRowSelect
def | Date
def | DdeConnection
def | DdeConnectionDecl
def | DdeConnectionDecls
def | Deletion
def | Description
def | EditingCycles
def | EditingDuration
def | ExecuteMacro
def | Expression
def | FileName
def | FormatChange
def | H
def | HiddenParagraph
def | HiddenText
def | IllustrationIndex
def | IllustrationIndexEntryTemplate
def | IllustrationIndexSource
def | ImageCount
def | IndexBody
def | IndexEntryBibliography
def | IndexEntryChapter
def | IndexEntryLinkEnd
def | IndexEntryLinkStart
def | IndexEntryPageNumber
def | IndexEntrySpan
def | IndexEntryTabStop
def | IndexEntryText
def | IndexSourceStyle
def | IndexSourceStyles
def | IndexTitle
def | IndexTitleTemplate
def | InitialCreator
def | Insertion
def | Keywords
def | LineBreak
def | LinenumberingConfiguration
def | LinenumberingSeparator
def | List
def | ListHeader
def | ListItem
def | ListLevelStyleBullet
def | ListLevelStyleImage
def | ListLevelStyleNumber
def | ListStyle
def | Measure
def | Meta
def | MetaField
def | ModificationDate
def | ModificationTime
def | Note
def | NoteBody
def | NoteCitation
def | NoteContinuationNoticeBackward
def | NoteContinuationNoticeForward
def | NoteRef
def | NotesConfiguration
def | Number
def | NumberedParagraph
def | ObjectCount
def | ObjectIndex
def | ObjectIndexEntryTemplate
def | ObjectIndexSource
def | OutlineLevelStyle
def | OutlineStyle
def | P
def | Page
def | PageContinuation
def | PageCount
def | PageNumber
def | PageSequence
def | PageVariableGet
def | PageVariableSet
def | ParagraphCount
def | Placeholder
def | PrintDate
def | PrintTime
def | PrintedBy
def | ReferenceMark
def | ReferenceMarkEnd
def | ReferenceMarkStart
def | ReferenceRef
def | Ruby
def | RubyBase
def | RubyText
def | S
def | Script
def | Section
def | SectionSource
def | SenderCity
def | SenderCompany
def | SenderCountry
def | SenderEmail
def | SenderFax
def | SenderFirstname
def | SenderInitials
def | SenderLastname
def | SenderPhonePrivate
def | SenderPhoneWork
def | SenderPosition
def | SenderPostalCode
def | SenderStateOrProvince
def | SenderStreet
def | SenderTitle
def | Sequence
def | SequenceDecl
def | SequenceDecls
def | SequenceRef
def | SheetName
def | SoftPageBreak
def | SortKey
def | Span
def | Subject
def | Tab
def | TableCount
def | TableFormula
def | TableIndex
def | TableIndexEntryTemplate
def | TableIndexSource
def | TableOfContent
def | TableOfContentEntryTemplate
def | TableOfContentSource
def | TemplateName
def | TextInput
def | Time
def | Title
def | TocMark
def | TocMarkEnd
def | TocMarkStart
def | TrackedChanges
def | UserDefined
def | UserFieldDecl
def | UserFieldDecls
def | UserFieldGet
def | UserFieldInput
def | UserIndex
def | UserIndexEntryTemplate
def | UserIndexMark
def | UserIndexMarkEnd
def | UserIndexMarkStart
def | UserIndexSource
def | VariableDecl
def | VariableDecls
def | VariableGet
def | VariableInput
def | VariableSet
def | WordCount

## Function Documentation

def odf.text.A | ( |  | args | ) |

Definition at line 29 of file text.py.

def odf.text.AlphabeticalIndex | ( |  | args | ) |

Definition at line 33 of file text.py.

def odf.text.AlphabeticalIndexAutoMarkFile | ( |  | args | ) |

Definition at line 36 of file text.py.

def odf.text.AlphabeticalIndexEntryTemplate | ( |  | args | ) |

Definition at line 40 of file text.py.

def odf.text.AlphabeticalIndexMark | ( |  | args | ) |

Definition at line 43 of file text.py.

def odf.text.AlphabeticalIndexMarkEnd | ( |  | args | ) |

Definition at line 46 of file text.py.

def odf.text.AlphabeticalIndexMarkStart | ( |  | args | ) |

Definition at line 49 of file text.py.

def odf.text.AlphabeticalIndexSource | ( |  | args | ) |

Definition at line 52 of file text.py.

def odf.text.AuthorInitials | ( |  | args | ) |

Definition at line 55 of file text.py.

def odf.text.AuthorName | ( |  | args | ) |

Definition at line 58 of file text.py.

def odf.text.Bibliography | ( |  | args | ) |

Definition at line 61 of file text.py.

def odf.text.BibliographyConfiguration | ( |  | args | ) |

Definition at line 64 of file text.py.

def odf.text.BibliographyEntryTemplate | ( |  | args | ) |

Definition at line 67 of file text.py.

def odf.text.BibliographyMark | ( |  | args | ) |

Definition at line 70 of file text.py.

def odf.text.BibliographySource | ( |  | args | ) |

Definition at line 73 of file text.py.

def odf.text.Bookmark | ( |  | args | ) |

Definition at line 76 of file text.py.

def odf.text.BookmarkEnd | ( |  | args | ) |

Definition at line 79 of file text.py.

def odf.text.BookmarkRef | ( |  | args | ) |

Definition at line 82 of file text.py.

def odf.text.BookmarkStart | ( |  | args | ) |

Definition at line 85 of file text.py.

def odf.text.Change | ( |  | args | ) |

Definition at line 88 of file text.py.

def odf.text.ChangedRegion | ( |  | args | ) |

Definition at line 97 of file text.py.

def odf.text.ChangeEnd | ( |  | args | ) |

Definition at line 91 of file text.py.

def odf.text.ChangeStart | ( |  | args | ) |

Definition at line 94 of file text.py.

def odf.text.Chapter | ( |  | args | ) |

Definition at line 100 of file text.py.

def odf.text.CharacterCount | ( |  | args | ) |

Definition at line 103 of file text.py.

def odf.text.ConditionalText | ( |  | args | ) |

Definition at line 106 of file text.py.

def odf.text.CreationDate | ( |  | args | ) |

Definition at line 109 of file text.py.

def odf.text.CreationTime | ( |  | args | ) |

Definition at line 112 of file text.py.

def odf.text.Creator | ( |  | args | ) |

Definition at line 115 of file text.py.

def odf.text.DatabaseDisplay | ( |  | args | ) |

Definition at line 118 of file text.py.

def odf.text.DatabaseName | ( |  | args | ) |

Definition at line 121 of file text.py.

def odf.text.DatabaseNext | ( |  | args | ) |

Definition at line 124 of file text.py.

def odf.text.DatabaseRowNumber | ( |  | args | ) |

Definition at line 127 of file text.py.

def odf.text.DatabaseRowSelect | ( |  | args | ) |

Definition at line 130 of file text.py.

def odf.text.Date | ( |  | args | ) |

Definition at line 133 of file text.py.

def odf.text.DdeConnection | ( |  | args | ) |

Definition at line 136 of file text.py.

def odf.text.DdeConnectionDecl | ( |  | args | ) |

Definition at line 139 of file text.py.

def odf.text.DdeConnectionDecls | ( |  | args | ) |

Definition at line 142 of file text.py.

def odf.text.Deletion | ( |  | args | ) |

Definition at line 145 of file text.py.

def odf.text.Description | ( |  | args | ) |

Definition at line 148 of file text.py.

def odf.text.EditingCycles | ( |  | args | ) |

Definition at line 151 of file text.py.

def odf.text.EditingDuration | ( |  | args | ) |

Definition at line 154 of file text.py.

def odf.text.ExecuteMacro | ( |  | args | ) |

Definition at line 157 of file text.py.

def odf.text.Expression | ( |  | args | ) |

Definition at line 160 of file text.py.

def odf.text.FileName | ( |  | args | ) |

Definition at line 163 of file text.py.

def odf.text.FormatChange | ( |  | args | ) |

Definition at line 166 of file text.py.

def odf.text.H | ( |  | args | ) |

Definition at line 169 of file text.py.

def odf.text.HiddenParagraph | ( |  | args | ) |

Definition at line 172 of file text.py.

def odf.text.HiddenText | ( |  | args | ) |

Definition at line 175 of file text.py.

def odf.text.IllustrationIndex | ( |  | args | ) |

Definition at line 178 of file text.py.

def odf.text.IllustrationIndexEntryTemplate | ( |  | args | ) |

Definition at line 181 of file text.py.

def odf.text.IllustrationIndexSource | ( |  | args | ) |

Definition at line 184 of file text.py.

def odf.text.ImageCount | ( |  | args | ) |

Definition at line 187 of file text.py.

def odf.text.IndexBody | ( |  | args | ) |

Definition at line 190 of file text.py.

def odf.text.IndexEntryBibliography | ( |  | args | ) |

Definition at line 193 of file text.py.

def odf.text.IndexEntryChapter | ( |  | args | ) |

Definition at line 196 of file text.py.

def odf.text.IndexEntryLinkEnd | ( |  | args | ) |

Definition at line 199 of file text.py.

def odf.text.IndexEntryLinkStart | ( |  | args | ) |

Definition at line 202 of file text.py.

def odf.text.IndexEntryPageNumber | ( |  | args | ) |

Definition at line 205 of file text.py.

def odf.text.IndexEntrySpan | ( |  | args | ) |

Definition at line 208 of file text.py.

def odf.text.IndexEntryTabStop | ( |  | args | ) |

Definition at line 211 of file text.py.

def odf.text.IndexEntryText | ( |  | args | ) |

Definition at line 214 of file text.py.

def odf.text.IndexSourceStyle | ( |  | args | ) |

Definition at line 217 of file text.py.

def odf.text.IndexSourceStyles | ( |  | args | ) |

Definition at line 220 of file text.py.

def odf.text.IndexTitle | ( |  | args | ) |

Definition at line 223 of file text.py.

def odf.text.IndexTitleTemplate | ( |  | args | ) |

Definition at line 226 of file text.py.

def odf.text.InitialCreator | ( |  | args | ) |

Definition at line 229 of file text.py.

def odf.text.Insertion | ( |  | args | ) |

Definition at line 232 of file text.py.

def odf.text.Keywords | ( |  | args | ) |

Definition at line 235 of file text.py.

def odf.text.LineBreak | ( |  | args | ) |

Definition at line 238 of file text.py.

Here is the caller graph for this function:

def odf.text.LinenumberingConfiguration | ( |  | args | ) |

Definition at line 241 of file text.py.

def odf.text.LinenumberingSeparator | ( |  | args | ) |

Definition at line 244 of file text.py.

def odf.text.List | ( |  | args | ) |

Definition at line 247 of file text.py.

def odf.text.ListHeader | ( |  | args | ) |

Definition at line 250 of file text.py.

def odf.text.ListItem | ( |  | args | ) |

Definition at line 253 of file text.py.

def odf.text.ListLevelStyleBullet | ( |  | args | ) |

Definition at line 256 of file text.py.

Here is the caller graph for this function:

def odf.text.ListLevelStyleImage | ( |  | args | ) |

Definition at line 259 of file text.py.

def odf.text.ListLevelStyleNumber | ( |  | args | ) |

Definition at line 262 of file text.py.

Here is the caller graph for this function:

def odf.text.ListStyle | ( |  | args | ) |

Definition at line 265 of file text.py.

Here is the call graph for this function:

Here is the caller graph for this function:

def odf.text.Measure | ( |  | args | ) |

Definition at line 268 of file text.py.

def odf.text.Meta | ( |  | args | ) |

Definition at line 271 of file text.py.

def odf.text.MetaField | ( |  | args | ) |

Definition at line 274 of file text.py.

def odf.text.ModificationDate | ( |  | args | ) |

Definition at line 277 of file text.py.

def odf.text.ModificationTime | ( |  | args | ) |

Definition at line 280 of file text.py.

def odf.text.Note | ( |  | args | ) |

Definition at line 283 of file text.py.

def odf.text.NoteBody | ( |  | args | ) |

Definition at line 286 of file text.py.

def odf.text.NoteCitation | ( |  | args | ) |

Definition at line 289 of file text.py.

def odf.text.NoteContinuationNoticeBackward | ( |  | args | ) |

Definition at line 292 of file text.py.

def odf.text.NoteContinuationNoticeForward | ( |  | args | ) |

Definition at line 295 of file text.py.

def odf.text.NoteRef | ( |  | args | ) |

Definition at line 298 of file text.py.

def odf.text.NotesConfiguration | ( |  | args | ) |

Definition at line 301 of file text.py.

def odf.text.Number | ( |  | args | ) |

Definition at line 304 of file text.py.

def odf.text.NumberedParagraph | ( |  | args | ) |

Definition at line 307 of file text.py.

def odf.text.ObjectCount | ( |  | args | ) |

Definition at line 310 of file text.py.

def odf.text.ObjectIndex | ( |  | args | ) |

Definition at line 313 of file text.py.

def odf.text.ObjectIndexEntryTemplate | ( |  | args | ) |

Definition at line 316 of file text.py.

def odf.text.ObjectIndexSource | ( |  | args | ) |

Definition at line 319 of file text.py.

def odf.text.OutlineLevelStyle | ( |  | args | ) |

Definition at line 322 of file text.py.

def odf.text.OutlineStyle | ( |  | args | ) |

Definition at line 325 of file text.py.

def odf.text.P | ( |  | args | ) |

Definition at line 328 of file text.py.

def odf.text.Page | ( |  | args | ) |

Definition at line 331 of file text.py.

def odf.text.PageContinuation | ( |  | args | ) |

Definition at line 334 of file text.py.

def odf.text.PageCount | ( |  | args | ) |

Definition at line 337 of file text.py.

def odf.text.PageNumber | ( |  | args | ) |

Definition at line 340 of file text.py.

def odf.text.PageSequence | ( |  | args | ) |

Definition at line 343 of file text.py.

def odf.text.PageVariableGet | ( |  | args | ) |

Definition at line 346 of file text.py.

def odf.text.PageVariableSet | ( |  | args | ) |

Definition at line 349 of file text.py.

def odf.text.ParagraphCount | ( |  | args | ) |

Definition at line 352 of file text.py.

def odf.text.Placeholder | ( |  | args | ) |

Definition at line 355 of file text.py.

def odf.text.PrintDate | ( |  | args | ) |

Definition at line 358 of file text.py.

def odf.text.PrintedBy | ( |  | args | ) |

Definition at line 364 of file text.py.

def odf.text.PrintTime | ( |  | args | ) |

Definition at line 361 of file text.py.

def odf.text.ReferenceMark | ( |  | args | ) |

Definition at line 367 of file text.py.

def odf.text.ReferenceMarkEnd | ( |  | args | ) |

Definition at line 370 of file text.py.

def odf.text.ReferenceMarkStart | ( |  | args | ) |

Definition at line 373 of file text.py.

def odf.text.ReferenceRef | ( |  | args | ) |

Definition at line 376 of file text.py.

def odf.text.Ruby | ( |  | args | ) |

Definition at line 379 of file text.py.

def odf.text.RubyBase | ( |  | args | ) |

Definition at line 382 of file text.py.

def odf.text.RubyText | ( |  | args | ) |

Definition at line 385 of file text.py.

def odf.text.S | ( |  | args | ) |

Definition at line 388 of file text.py.

Here is the caller graph for this function:

def odf.text.Script | ( |  | args | ) |

Definition at line 391 of file text.py.

def odf.text.Section | ( |  | args | ) |

Definition at line 394 of file text.py.

def odf.text.SectionSource | ( |  | args | ) |

Definition at line 397 of file text.py.

def odf.text.SenderCity | ( |  | args | ) |

Definition at line 400 of file text.py.

def odf.text.SenderCompany | ( |  | args | ) |

Definition at line 403 of file text.py.

def odf.text.SenderCountry | ( |  | args | ) |

Definition at line 406 of file text.py.

def odf.text.SenderEmail | ( |  | args | ) |

Definition at line 409 of file text.py.

def odf.text.SenderFax | ( |  | args | ) |

Definition at line 412 of file text.py.

def odf.text.SenderFirstname | ( |  | args | ) |

Definition at line 415 of file text.py.

def odf.text.SenderInitials | ( |  | args | ) |

Definition at line 418 of file text.py.

def odf.text.SenderLastname | ( |  | args | ) |

Definition at line 421 of file text.py.

def odf.text.SenderPhonePrivate | ( |  | args | ) |

Definition at line 424 of file text.py.

def odf.text.SenderPhoneWork | ( |  | args | ) |

Definition at line 427 of file text.py.

def odf.text.SenderPosition | ( |  | args | ) |

Definition at line 430 of file text.py.

def odf.text.SenderPostalCode | ( |  | args | ) |

Definition at line 433 of file text.py.

def odf.text.SenderStateOrProvince | ( |  | args | ) |

Definition at line 436 of file text.py.

def odf.text.SenderStreet | ( |  | args | ) |

Definition at line 439 of file text.py.

def odf.text.SenderTitle | ( |  | args | ) |

Definition at line 442 of file text.py.

def odf.text.Sequence | ( |  | args | ) |

Definition at line 445 of file text.py.

def odf.text.SequenceDecl | ( |  | args | ) |

Definition at line 448 of file text.py.

def odf.text.SequenceDecls | ( |  | args | ) |

Definition at line 451 of file text.py.

def odf.text.SequenceRef | ( |  | args | ) |

Definition at line 454 of file text.py.

def odf.text.SheetName | ( |  | args | ) |

Definition at line 457 of file text.py.

def odf.text.SoftPageBreak | ( |  | args | ) |

Definition at line 460 of file text.py.

def odf.text.SortKey | ( |  | args | ) |

Definition at line 463 of file text.py.

def odf.text.Span | ( |  | args | ) |

Definition at line 466 of file text.py.

def odf.text.Subject | ( |  | args | ) |

Definition at line 469 of file text.py.

def odf.text.Tab | ( |  | args | ) |

Definition at line 472 of file text.py.

Here is the caller graph for this function:

def odf.text.TableCount | ( |  | args | ) |

Definition at line 475 of file text.py.

def odf.text.TableFormula | ( |  | args | ) |

Definition at line 478 of file text.py.

def odf.text.TableIndex | ( |  | args | ) |

Definition at line 481 of file text.py.

def odf.text.TableIndexEntryTemplate | ( |  | args | ) |

Definition at line 484 of file text.py.

def odf.text.TableIndexSource | ( |  | args | ) |

Definition at line 487 of file text.py.

def odf.text.TableOfContent | ( |  | args | ) |

Definition at line 490 of file text.py.

def odf.text.TableOfContentEntryTemplate | ( |  | args | ) |

Definition at line 493 of file text.py.

def odf.text.TableOfContentSource | ( |  | args | ) |

Definition at line 496 of file text.py.

def odf.text.TemplateName | ( |  | args | ) |

Definition at line 499 of file text.py.

def odf.text.TextInput | ( |  | args | ) |

Definition at line 502 of file text.py.

def odf.text.Time | ( |  | args | ) |

Definition at line 505 of file text.py.

def odf.text.Title | ( |  | args | ) |

Definition at line 508 of file text.py.

def odf.text.TocMark | ( |  | args | ) |

Definition at line 511 of file text.py.

def odf.text.TocMarkEnd | ( |  | args | ) |

Definition at line 514 of file text.py.

def odf.text.TocMarkStart | ( |  | args | ) |

Definition at line 517 of file text.py.

def odf.text.TrackedChanges | ( |  | args | ) |

Definition at line 520 of file text.py.

def odf.text.UserDefined | ( |  | args | ) |

Definition at line 523 of file text.py.

def odf.text.UserFieldDecl | ( |  | args | ) |

Definition at line 526 of file text.py.

def odf.text.UserFieldDecls | ( |  | args | ) |

Definition at line 529 of file text.py.

def odf.text.UserFieldGet | ( |  | args | ) |

Definition at line 532 of file text.py.

def odf.text.UserFieldInput | ( |  | args | ) |

Definition at line 535 of file text.py.

def odf.text.UserIndex | ( |  | args | ) |

Definition at line 538 of file text.py.

def odf.text.UserIndexEntryTemplate | ( |  | args | ) |

Definition at line 541 of file text.py.

def odf.text.UserIndexMark | ( |  | args | ) |

Definition at line 544 of file text.py.

def odf.text.UserIndexMarkEnd | ( |  | args | ) |

Definition at line 547 of file text.py.

def odf.text.UserIndexMarkStart | ( |  | args | ) |

Definition at line 550 of file text.py.

def odf.text.UserIndexSource | ( |  | args | ) |

Definition at line 553 of file text.py.

def odf.text.VariableDecl | ( |  | args | ) |

Definition at line 556 of file text.py.

def odf.text.VariableDecls | ( |  | args | ) |

Definition at line 559 of file text.py.

def odf.text.VariableGet | ( |  | args | ) |

Definition at line 562 of file text.py.

def odf.text.VariableInput | ( |  | args | ) |

Definition at line 565 of file text.py.

def odf.text.VariableSet | ( |  | args | ) |

Definition at line 568 of file text.py.

def odf.text.WordCount | ( |  | args | ) |

Definition at line 571 of file text.py.